/****************************************************************************
    Kalkulon - A programmable calculator for programmers

    This file is part of the Kalkulon GUI.

    If you find this source code useful, your are encouraged to use it in your own projects.
    Please give me credit!

    COPYRIGHT by Juergen Holetzeck 2003 - 2007
    e-mail:		contact@kalkulon.de
    homepage:	www.kalkulon.de
****************************************************************************/

#ifndef OPTIONSDLG_H
#define OPTIONSDLG_H

#include <QDialog>
#include "ui_optionsDlg.h"
#include "SyntaxHighlighter.h"

class OptionsDlg : public QDialog, public Ui::OptionsDlg
{
    Q_OBJECT

    public:
        OptionsDlg(QWidget *parent = 0);

        void setFontSize(int fontsize);

        void setShlSettings(const SyntaxHighlighter::Settings& s);
        const SyntaxHighlighter::Settings& getShlSettings() {return shl_->settings();}

    private slots:
        void on_buttonBox_clicked(QAbstractButton *button);
        void on_comboBoxColors_currentIndexChanged(int index);
        void colorChanged();

    private:
        void updateValues();

        SyntaxHighlighter *shl_;
};

#endif
